#include <bits/stdc++.h>
using namespace std;


int main(){
    int a, b, x, y;
    cin >> a >> b >> x >> y;

    if ( a == x && b == y) cout << "nijedan";
    
    else if ( x != a && y != b) cout << "?";

    else if ( a != x && b == y) cout << "prvi";

    else cout << "drugi";
 


    return 0;
}